Subject: Re: bug#60107: 30.0.50; Open new files very slow if eglot and which-function-mode are enabled.
From: Eli Zaretskii <[email-masked]>
To: Felix <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 16 Dec 2022 17:45:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Felix <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 16 Dec 2022 12:26:21 +0100
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Does it help to customize which-func-non-auto-modes to add the major
> > mode you are using there?  Or maybe customize which-func-maxout to a
> > small value to get the same effect in any mode?  I'm asking whether
> > this helps because it's unclear to me whether doing so will avoid
> > blocking redisplay, if and when which-func finally becomes active.
> >
> >> If this is not a bug of emacs,
> >> feel free to close this bug report.
> >
> > If the above doesn't help, I guess some changes to which-func could be
> > in order, to avoid blocking the first display of a buffer for such a
> > long time.  So in that case we shouldn't close this bug report yet.
> >
> > Thanks.
> 
> In fact both of it helps!
> Adding c-ts-mode to which-func-non-auto-modes solves the problem,
> setting which-func-maxout to 1000 works as well (that's the only value i
> tested).

Thanks, so I added these hints to the doc strings of the two optioins,
and I'm closing the bug.